View Issue Details

IDProjectCategoryView StatusLast Update
00303022.x IDE BugsGeneralPublic2019-01-31 14:52
ReporterDanAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSmacOSOS Version
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030302: General: [Mac IDE] Startup check for Mono version incorrectly fails the correct version number
DescriptionLooking at the log files, we can see when GMS2 lists out one of the mono version checks it is not correctly registering pass values. This seems to trigger a redundant run of on each startup.

Expected: The correct version of Mono is 5.10.1.57, so the example log below should have been a pass for all values.

[12:33:49:692(3046)] moduleName = windowsYYC, HasModule( Windows ) == True
[12:33:49:692(3046)] Mono Version number is 5.10.1.57, comparing to 5.10.1.57
[12:33:49:692(3046)] Major 5 == 5 answer is False
[12:33:49:693(3046)] Minor 10 == 10 answer is False
[12:33:49:693(3046)] Build 1 == 1 answer is False
[12:33:49:693(3046)] Wait for all Modules
[12:33:49:694(3046)] Finished Wait for all Modules
[12:33:49:715(3046)] running mac post install script...
[12:33:49:715(3046)] starting /bin/sh -c "source /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.287/bin/mac-post-install.sh"
[12:33:49:729(3046)] elapsed time 00:00:00.0139510s for command "/bin/sh" -c "source /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.287/bin/mac-post-install.sh" started at 12/08/2018 12:33:49
[12:33:49:729(3046)] mac post install script output : ls: download/MonoFramework*.macos10.xamarin.universal.pkg: No such file or directory

[12:33:49:729(3046)] mac post install script result : 0
Steps To Reproduce1. Install GMS2 on a Mac and start it up.
2. Check the log.
Repro: 100% (but we only log this information in certain circumstances, so you may not get confirmation).
TagsIDE
2.x IDE Found In2.2.1.375
2.x Runtime Found In2.2.1.287
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Relationships

related to 0030301 ClosedRussell Kay General: [Mac IDE] Startup check for Mono version still compares against 4.8.0.520 for one of the checks 

Activities

Russell Kay

2018-12-14 12:20

Manager   ~0062245

Fixed in github